=== debian/changelog ===
re2 (0+hg40+dfsg-2) experimental; urgency=low

  * Add missing Breaks and Replaces on libre2-0. (LP: #653873)
  * Fix debian/rules to allow cleaning when clean.

 -- Stefano Rivera <stefano@rivera.za.net>  Sun, 03 Oct 2010 13:39:04 +0200

re2 (0+hg40+dfsg-1) experimental; urgency=low

  * New upstream revision.
  * Upload to experimental, upstream has not committed to a stable ABI yet.
  * Drop shared library until we have a stable ABI.
  * Retire Patches:
    - destdir: Upstream Makefile now uses DESTDIR.
  * Build with Debian's valgrind header rather than embedded copy. On
    architectures where it isn't available, use an empty header instead.
  * Bump Standards-Version to 3.9.1 (no changes needed).

 -- Stefano Rivera <stefano@rivera.za.net>  Sat, 25 Sep 2010 18:18:29 +0200

re2 (0+hg23+dfsg-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream revision.
  * Retired Patches:
    - shared-library: Upstream merged shared library building patch.
      Upstream now maintains exported symbol list and soname.
    - big-endian-arg-test: Improved patch merged upstream, fixing tests
      on big endian architectures.
    - pthread: Upstream merged patch to use -pthread.
    - re-generate-source: Patch merged, but table generation is optional.
      We now build with REBUILD_TABLES=1
    - noopt: We now pass CXXFLAGS from debian/rules.
    - write-barrier: Upstream merged patch to add read memory barriers.
  * New Patches:
    - local-unicodedata: Originally part of re-generate-source.
  * Correct symbols list for s390 and avr32, which have size_t as an alias for
    unsigned long.
  * Dropped 0d.0.0 soname in favour of upstream's 0.0.0.
  * Added workaround to disable --parallel when using an old debhelper.

 -- Stefano Rivera <stefano@rivera.za.net>  Sat, 01 May 2010 12:10:13 +0200

re2 (0+hg16+dfsg-1) experimental; urgency=low

  [ Stefano Rivera ]
  * Initial release. (Closes: #574276)

  [ Jakub Wilk ]
  * Add myself to uploaders.

 -- Stefano Rivera <stefano@rivera.za.net>  Sat, 10 Apr 2010 23:17:54 +0200
