=== debian/watch ===
version=3

opts=dversionmangle=s/\+dfsg// \
http://code.google.com/p/re2/downloads/list \
http://re2.googlecode.com/files/re2-(.*).tar.gz
