## re2 0+hg56+dfsg

=== Makefile ===
--- 
+++ 
@@ -54,7 +54,6 @@
 	util/atomicops.h\
 	util/benchmark.h\
 	util/flags.h\
-	util/hash_map.h\
 	util/logging.h\
 	util/mutex.h\
 	util/pcre.h\
