=== debian/changelog ===
re2 (0+hg56+dfsg-1) experimental; urgency=low

  * New upstream revision.
  * Update my email address.
  * Upstream has clarified their intention to not have stable releases:
    - Comment out watch file
    - Add README.Debian
  * Update copyright to latest DEP5 revision. Bump years.
  * Bump debhelper BD and compat to 8.
    - No need to check for dh --parallel support any more.
  * Use dpkg-buildflags for CXXFLAGS. Add versioned dpkg-dev BD.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 02 Feb 2011 18:09:28 +0200
