=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: re2
 Section: libs
 Priority: optional
-Maintainer: Stefano Rivera <stefano@rivera.za.net>
+Maintainer: Stefano Rivera <stefanor@debian.org>
 Uploaders: Jakub Wilk <jwilk@debian.org>
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper (>= 8),
+ dpkg-dev (>= 1.15.7~),
  libatomic-ops-dev,
  python,
  unicode-data,
