=== debian/rules ===
--- 
+++ 
@@ -1,17 +1,9 @@
 #!/usr/bin/make -f
 
-ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-CXXFLAGS=-Wall -g -pthread -O3
-else
-CXXFLAGS=-Wall -g -pthread -O0
-endif
-
-ifneq ($(shell dh_testversion '<<' 7.4.10 2>/dev/null && echo old),old)
-dh_parallel = --parallel
-endif
+CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS | sed s/-O2/-O3/) -pthread
 
 %:
-	dh $@ $(dh_parallel)
+	dh $@ --parallel
 
 override_dh_auto_build:
 	rm -f util/valgrind.h
