=== debian/watch ===
# There are no plans for stable releases:
# https://groups.google.com/group/re2-dev/browse_thread/thread/875ce4db9f11a502/7ed8799b476684a6
#version=3
#opts=dversionmangle=s/\+dfsg// \
#http://code.google.com/p/re2/downloads/list \
#http://re2.googlecode.com/files/re2-(.*).tar.gz
