## re2 0+hg74+dfsg

=== debian/changelog ===
re2 (0+hg74+dfsg-1) experimental; urgency=low

  * New upstream revision.
  * Drop ia64-page-size.diff, accepted upstream.
  * Pass CPPFLAGS too.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 13 Nov 2011 01:28:52 +0200

re2 (0+hg68+dfsg-1) experimental; urgency=low

  * New upstream revision.
  * Explicitly pass CXXFLAGS and LDFLAGS to dh_auto_build and dh_auto_test,
    now that dpkg-buildpackage doesn't export anything any more.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 26 Sep 2011 00:59:05 +0200

re2 (0+hg63+dfsg-2) experimental; urgency=low

  * ia64-page-size.diff: Use multiples of 16k in re2_test.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 26 Jul 2011 17:01:30 +0200

re2 (0+hg63+dfsg-1) experimental; urgency=low

  * New upstream revision.
    - Drop include-cstddef.diff. Superseded upstream.
  * Use valgrind's header on armel and armhf too (now that it's supported
    there).

 -- Stefano Rivera <stefanor@debian.org>  Mon, 25 Jul 2011 14:19:17 +0200

re2 (0+hg57+dfsg-1) experimental; urgency=low

  * New upstream revision.
  * include-cstddef.diff: Include cstddef for compatibility with gcc 4.6.
    (LP: #770898)
  * Correct DEP3 headers (first line of Description is the subject)
  * Bump Standards-Version to 3.9.2 (no changes needed).
  * Bump copyright to latest DEP5 revision.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 29 Apr 2011 20:55:33 +0200
