=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
  libatomic-ops-dev,
  python,
  unicode-data,
- valgrind [amd64 i386 powerpc],
-Standards-Version: 3.9.1
+ valgrind [amd64 armel armhf i386 powerpc]
+Standards-Version: 3.9.2
 Homepage: http://code.google.com/p/re2/
 Vcs-Bzr: http://bzr.debian.org/bzr/collab-maint/re2/trunk/
 Vcs-Browser: http://bzr.debian.org/loggerhead/collab-maint/re2/trunk/
