=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS | sed s/-O2/-O3/) -pthread
+LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS) -pthread
+CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
 
 %:
 	dh $@ --parallel
@@ -12,7 +14,12 @@
 	else \
 		touch util/valgrind.h; \
 	fi
-	dh_auto_build -- CXXFLAGS="$(CXXFLAGS)" REBUILD_TABLES=1
+	dh_auto_build -- CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" \
+	                 CPPFLAGS="$(CPPFLAGS)" REBUILD_TABLES=1
+
+override_dh_auto_test:
+	dh_auto_test -- CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" \
+	                CPPFLAGS="$(CPPFLAGS)"
 
 override_dh_auto_install:
 	dh_auto_install --destdir=$(CURDIR)/debian/tmp/ -- prefix=/usr
