## re2 0.1.0

=== DESCRIPTION ===
Package: re2
Type: Package
Title: R Interface to Google RE2 (C++) Regular Expression Library
Version: 0.1.0
Date: 2021-04-30
Author: Girish Palya [aut, cre],
	RE2 developers [ctb] (RE2 library),
	Google Inc. [ctb, cph] (RE2 library)
Maintainer: Girish Palya <girishji@gmail.com>
Description: Pattern matching, extraction, replacement and other string
  processing operations using Google's RE2 <https://github.com/google/re2>
  regular-expression engine. Consistent interface (similar to 'stringr').
  RE2 uses finite-automata based techniques, and offers a
  fast and safe alternative to backtracking regular-expression engines
  like those used in 'stringr', 'stringi' and other PCRE implementations.
License: MIT + file LICENSE
Imports: Rcpp (>= 1.0.6)
LinkingTo: Rcpp
URL: https://github.com/girishji/re2
BugReports: https://github.com/girishji/re2/issues
Encoding: UTF-8
RoxygenNote: 7.1.1
Suggests: knitr, rmarkdown
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2021-05-02 13:47:56 UTC; gp
Repository: CRAN
Date/Publication: 2021-05-03 08:00:08 UTC
