## re2 0.1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: re2
 Type: Package
 Title: R Interface to Google RE2 (C++) Regular Expression Library
-Version: 0.1.1
-Date: 2021-04-30
+Version: 0.1.2
+Date: 2022-03-29
 Author: Girish Palya [aut, cre],
 	RE2 developers [ctb] (RE2 library),
 	Google Inc. [ctb, cph] (RE2 library)
@@ -14,15 +14,15 @@
   fast and safe alternative to backtracking regular-expression engines
   like those used in 'stringr', 'stringi' and other PCRE implementations.
 License: MIT + file LICENSE
-Imports: Rcpp (>= 1.0.6)
+Imports: Rcpp (>= 1.0.8.3)
 LinkingTo: Rcpp
 URL: https://github.com/girishji/re2
 BugReports: https://github.com/girishji/re2/issues
 Encoding: UTF-8
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.2
 Suggests: knitr, rmarkdown
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2021-05-11 19:51:19 UTC; gp
+Packaged: 2022-03-29 08:30:43 UTC; gp
 Repository: CRAN
-Date/Publication: 2021-05-12 23:00:12 UTC
+Date/Publication: 2022-03-29 11:50:02 UTC
