## re2 0.1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: re2
 Type: Package
 Title: R Interface to Google RE2 (C++) Regular Expression Library
-Version: 0.1.2
-Date: 2022-03-29
+Version: 0.1.3
+Date: 2023-11-28
 Author: Girish Palya [aut, cre],
 	RE2 developers [ctb] (RE2 library),
 	Google Inc. [ctb, cph] (RE2 library)
@@ -19,10 +19,10 @@
 URL: https://github.com/girishji/re2
 BugReports: https://github.com/girishji/re2/issues
 Encoding: UTF-8
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.3
 Suggests: knitr, rmarkdown
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2022-03-29 08:30:43 UTC; gp
+Packaged: 2023-11-29 00:26:02 UTC; gp
 Repository: CRAN
-Date/Publication: 2022-03-29 11:50:02 UTC
+Date/Publication: 2023-11-29 03:10:02 UTC
