## re2 0.1.4

=== DESCRIPTION ===
Package: re2
Type: Package
Title: R Interface to Google RE2 (C++) Regular Expression Library
Version: 0.1.4
Date: 2025-01-11
Authors@R: c(person(given = "Girish",
                      family = "Palya",
                      role = c("aut", "cre"),
                      email = "girishji@gmail.com"),
               person("RE2 developers",
                      role = "ctb",
                      comment = "RE2 library"),
               person("Google Inc.",
                      role = c("ctb", "cph"),
                      comment = "RE2 library"))
Description: Pattern matching, extraction, replacement and other string
  processing operations using Google's RE2 <https://github.com/google/re2>
  regular-expression engine. Consistent interface (similar to 'stringr').
  RE2 uses finite-automata based techniques, and offers a
  fast and safe alternative to backtracking regular-expression engines
  like those used in 'stringr', 'stringi' and other PCRE implementations.
License: MIT + file LICENSE
Imports: Rcpp (>= 1.0.8.3)
LinkingTo: Rcpp
URL: https://github.com/girishji/re2
BugReports: https://github.com/girishji/re2/issues
Encoding: UTF-8
RoxygenNote: 7.3.2
Suggests: knitr, rmarkdown
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2025-01-19 22:14:31 UTC; gp
Author: Girish Palya [aut, cre],
  RE2 developers [ctb] (RE2 library),
  Google Inc. [ctb, cph] (RE2 library)
Maintainer: Girish Palya <girishji@gmail.com>
Repository: CRAN
Date/Publication: 2025-01-19 22:40:02 UTC
