=== debian/changelog ===
re2 (2023.08.01-1) experimental; urgency=medium

  * New upstream release.

 -- Valdur Palm <vpalm@perforce.com>  Thu, 31 Aug 2023 09:00:11 +0300
