=== debian/control ===
Source: re2
Section: devel
Priority: optional
Maintainer: Valdur Palm <vpalm@perforce.com>
Build-Depends: debhelper, cmake (>=3.13) | base-files (<=10.2), ninja-build, build-essential, libicu-dev, libabsl-zendphp-dev
Build-Depends-Indep:

Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/google/re2
Package: libre2-11-zendphp
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, libabsl-zendphp
Description: Efficient, principled regular expression library. Built for ZendPHP.

Package: libre2-zendphp-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Conflicts: libre2-dev
Depends: ${misc:Depends}, libre2-11-zendphp (= ${binary:Version}), libicu-dev, libabsl-zendphp-dev
Description: Efficient, principled regular expression library. Built for ZendPHP (development files)
