=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

export GEM2DEB_TEST_RUNNER = --check-dependencies
# Note - ALSO .install,.docs file names and control content for package and dev deps need to be changed
SONAME=11
API_VERSION=$(SONAME)-0

PACKAGEVERSION = $(shell debian/get_ver.sh 'libre2-$(SONAME)-zendphp' '2023.08.01')

%:
	dh $@

ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
override_dh_auto_configure:
	dpkg-architecture -f -a$(DEB_BUILD_ARCH) -c dh_auto_configure

endif

PREFIX		  = /opt/zend/zendphp

override_dh_auto_configure:
	ActSO=$(grep '^SONAME=' Makefile|cut -d '=' -f 2)
	$(call assert,$(call sne, $(SONAME),$(ActSO))SONAME $(ActSO) from Makefile is not equal to $(SONAME) in rules and control. Please change)
	export LDFLAGS= ; \
	export CFLAGS= ; \
	export CPPFLAGS= ; \
	export CXXFLAGS= ; \
	cmake . \
		-G Ninja \
		-DCMAKE_INSTALL_PREFIX=${PREFIX} \
		-DCMAKE_PREFIX_PATH=${PREFIX} \
		-DBUILD_STATIC_LIBS=ON \
		-DCMAKE_CXX_STANDARD=17 \
		-DCMAKE_BUILD_TYPE=MinSizeRel \
		-DRE2_USE_ICU=ON \
		-DCMAKE_INSTALL_LIBDIR=lib \
		-DCMAKE_POSITION_INDEPENDENT_CODE=ON \
		-DCMAKE_INSTALL_RPATH="${PREFIX}/lib"

override_dh_auto_build:
	cmake --build .

override_dh_auto_clean:
	rm -rf build || true

override_dh_auto_test:
	:

override_dh_auto_install:
	DESTDIR=$(CURDIR)/debian/tmp ninja install
	mkdir -p $(CURDIR)/debian/tmp/usr/lib
	mv $(CURDIR)/debian/tmp/$(PREFIX)/lib/pkgconfig $(CURDIR)/debian/tmp/usr/lib
	dh_install

override_dh_installdocs:
	dh_installdocs

override_dh_gencontrol:
	dh_gencontrol -- -v$(PACKAGEVERSION)

override_dh_dwz:
	echo GCC bug

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info -l$(CURDIR)/debian/tmp/$(PREFIX)/lib -l$(PREFIX)/lib

#override_dh_usrlocal:
#	echo Skip processing /usr/local
